package com.smppw.common.pojo.enums;

import lombok.Getter;

/**
 * 全站标的对象枚举，应用于所有使用不同类型组合的场景，系统全站需和前端一样保持使用该类类型
 * @author David
 * @version 1.0
 * @date 2023-03-31 11:47
 */
@Getter
public enum SystemObjectEnum {
    /**
     * 私募基金类型定义，用于全站搜索类型通用
     */
    PRIVATE_FUND(1, "私募基金"),
    /**
     * 公募基金类型定义，用于全站搜索类型通用
     */
    PUBLIC_FUND(2, "公募基金"),
    /**
     * 自建基金类型定义，用于全站搜索类型通用
     */
    USER_FUND(3, "自建基金"),
    /**
     * 机构类型定义，用于全站搜索类型通用
     */
    COMPANY(4, "机构"),
    /**
     * 经理类型定义，用于全站搜索类型通用
     */
    MANAGER(5, "经理"),
    /**
     * 组合类型定义，用于全站搜索类型通用
     */
    USER_PORTFOLIO(6, "组合"),
    /**
     * 市场指数类型定义，用于全站搜索类型通用
     */
    MARKET_INDEX(7, "市场指数"),
    /**
     * 自建指数定义，用于全站搜索类型通用
     */
    USER_INDEX(8, "自建指数"),
    /**
     * 全局搜索用  包含市场私募基金和市场公募基金
     */
    FUND(9,"基金"),
    /**
     * 全局搜索用 只包含市场指数
     */
    INDEX(10,"指数");

    private final int type;
    private final String name;

    SystemObjectEnum(int type, String name) {
        this.type = type;
        this.name = name;
    }
}
